"""
Function of this code: one method of transforming DNA sequences to numerical values.
Contact for help: gch_liu@163.com 
"""

import numpy as np
import dna2numVOSS

def dna2numZcurve(seq):
    voss=dna2numVOSS.dna2numVOSS(seq);
    B=[[1,-1,1,-1],[1,1,-1,-1],[1,-1,-1,1]];
    return np.dot(B,voss);

if __name__=='__main__':
    print(dna2numZcurve("ACTGTCGA"))